{% extends "base.html.jinja" %}

{% block content %}
  <div class="d-flex align-items-center">
    <main class="py-5 m-100 m-auto" style="max-width: 500px">
      <form
        action="./check-leistung/report"
        method="POST"
        enctype="multipart/form-data"
      >
        <legend class="text-center">Leistung Qualitätscheck</legend>
        <p>
          Der Check überprüft die hochgeladene Leistungdatei auf qualitative
          Mängel. Die Datei muss im XZuFi 2.2.0 Format vorliegen.
        </p>
        <p>
          Der Check ist aktuell in einer sehr frühen Entwicklungsphase und als 
          Vorabversion zu betrachten. Eine Weiterentwicklung ist aktuell blockiert,
          da die Fachseite aktuell uneinig darüber ist, welche Angaben verpflichtend
          sind.
        </p>

        <div class="mb-3">
          <label for="schema">Leistungdatei auswählen:</label>

          <input
            class="form-control"
            name="leistung"
            type="file"
            accept="text/xml"
            required
          />
        </div>

        <button class="btn btn-primary w-100 py-2 mt-3" type="submit">
          Check
        </button>
      </form>
    </main>
  </div>
{% endblock %}
